CFPRIME URPRT                                                           URPRT       1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE  URPRT                                                 URPRT       3
CD                                                                      URPRT       4
CD    TO READ THE DATA OF THE UDC BLOCK TYPE PRINT                      URPRT       5
CD                                                                      URPRT       6
      INCLUDE 'PARX.INS'                                                URPRT       7
      INCLUDE 'CNUNIT.INS'                                              URPRT       8
      INCLUDE 'CNLSTA.INS'                                              URPRT       9
      INCLUDE 'UDCA.INS'                                                URPRT      10
      INCLUDE 'UDCD.INS'                                                URPRT      11
      INCLUDE 'UDCE.INS'                                                URPRT      12
      INCLUDE 'UDCH.INS'                                                URPRT      13
      INCLUDE 'UDCI.INS'                                                URPRT      14
      INCLUDE 'GRDC01.INS'                                              URPRT      15
      INCLUDE 'CNFLAG.INS'                                              URPRT      16
      INCLUDE 'CNMSG.INS'                                               URPRT      17
C                                                                       URPRT      18
      CHARACTER*72  CDATA(100)                                          URPRT      19
      CHARACTER*20  SUBNAM                                              URPRT      20
      CHARACTER*17  BNAME                                               URPRT      21
      CHARACTER*8   SNAME, TNAME                                        URPRT      22
C                                                                       URPRT      23
      DIMENSION     RDATA(100),IDATA(100)                               URPRT      24
C                                                                       URPRT      25
      LOGICAL       DPRINT, FOUND                                       URPRT      26
C                                                                       URPRT      27
      INCLUDE 'GRPRT.INS'                                               URPRT      28
C                                                                       URPRT      29
C---------------------------------------------------------------------  URPRT      30
C                                                                       URPRT      31
C     Define subroutine name.                                           URPRT      32
C                                                                       URPRT      33
      LDEB=(JDEB(301).NE.0)                                             URPRT      34
C                                                                       URPRT      35
      IF(SDBG)THEN                                                      URPRT      36
         SUBNAM = 'URPRT ROUTINE.'                                      URPRT      37
      ELSE                                                              URPRT      38
         SUBNAM = ' '                                                   URPRT      39
      ENDIF                                                             URPRT      40
      TNAME = TPNAME(IUDTYP(IUDC))                                      URPRT      41
      BNAME = UDNAME(IUDC)                                              URPRT      42
      LEN = IUDLEN(IUDC)                                                URPRT      43
C                                                                       URPRT      44
C     Forces an interrupted card image if an error is found.            URPRT      45
C                                                                       URPRT      46
      JDCOUN = IERCNT                                                   URPRT      47
      DPRINT = .FALSE.                                                  URPRT      48
C                                                                       URPRT      49
      IF(EXPAND)THEN                                                    URPRT      50
C                                                                       URPRT      51
C        Obtain the subtype name from the saved information for this    URPRT      52
C        structure.                                                     URPRT      53
C                                                                       URPRT      54
         SNAME = SBPRT(IUDSUB(IUDC))                                    URPRT      55
C                                                                       URPRT      56
      ELSE                                                              URPRT      57
C                                                                       URPRT      58
C        Read the subtype name.                                         URPRT      59
C                                                                       URPRT      60
         ENDBLK = .FALSE.                                               URPRT      61
         CALL URGETC (CDATA(1), FOUND)                                  URPRT      62
         IF(.NOT. FOUND)THEN                                            URPRT      63
            SNAME = STARS                                               URPRT      64
         ELSE                                                           URPRT      65
            SNAME = CDATA(1)                                            URPRT      66
            IF(SNAME .NE. CDATA(1))THEN                                 URPRT      67
               WRITE(MSG(1),9000) SUBNAM                                URPRT      68
               WRITE(MSG(2),9001) TNAME                                 URPRT      69
               WRITE(MSG(3),9002) BNAME(1:LEN)                          URPRT      70
               WRITE(MSG(4),9003) CDATA(1)(1:32)                        URPRT      71
               WRITE(MSG(5),9004) SNAME                                 URPRT      72
               WRITE(MSG(6),9005)                                       URPRT      73
               CALL PRTMSG(6)                                           URPRT      74
               IERCNT = IERCNT + 1                                      URPRT      75
            ENDIF                                                       URPRT      76
         ENDIF                                                          URPRT      77
      ENDIF                                                             URPRT      78
C                                                                       URPRT      79
C                                                                       URPRT      80
C---------------------------------------------------------------------  URPRT      81
C                                                                       URPRT      82
C     Determine the required data names and the number of searches      URPRT      83
C     required.                                                         URPRT      84
C                                                                       URPRT      85
C     Message printing function.                                        URPRT      86
C                                                                       URPRT      87
      IF(SNAME.EQ.SBPRT(IMESS))THEN                                     URPRT      88
         IUDSUB(IUDC) = IMESS                                           URPRT      89
         NUMSRC = 4                                                     URPRT      90
         SEARCH(1) = 'PRINT FLAG'                                       URPRT      91
         SEARCH(2) = 'DESTINATION'                                      URPRT      92
         SEARCH(3) = 'INPUT'                                            URPRT      93
         SEARCH(4) = 'MESSAGE'                                          URPRT      94
C                                                                       URPRT      95
C     Invalid subtype.                                                  URPRT      96
C                                                                       URPRT      97
      ELSE                                                              URPRT      98
         IUDSUB(IUDC) = 0                                               URPRT      99
         NUMSRC = 0                                                     URPRT     100
               WRITE(MSG(1),9000) SUBNAM                                URPRT     101
               WRITE(MSG(2),9001) TNAME                                 URPRT     102
               WRITE(MSG(3),9006) BNAME(1:LEN)                          URPRT     103
               WRITE(MSG(4),9007) SNAME                                 URPRT     104
               WRITE(MSG(5),9005)                                       URPRT     105
               CALL PRTMSG(5)                                           URPRT     106
         IERCNT = IERCNT + 1                                            URPRT     107
      ENDIF                                                             URPRT     108
C                                                                       URPRT     109
C---------------------------------------------------------------------  URPRT     110
C                                                                       URPRT     111
C     Based on the data names required, determine the type of searches, URPRT     112
C     and length of data names.                                         URPRT     113
C                                                                       URPRT     114
      DO 20 I = 1, NUMSRC                                               URPRT     115
         IF(SEARCH(I).EQ.'PRINT FLAG')THEN                              URPRT     116
            TYPE(I) = 'CHAR'                                            URPRT     117
            LENGTH(I) = 10                                              URPRT     118
         ELSEIF(SEARCH(I).EQ.'DESTINATION')THEN                         URPRT     119
            TYPE(I) = 'CHAR'                                            URPRT     120
            LENGTH(I) = 11                                              URPRT     121
         ELSEIF(SEARCH(I).EQ.'INPUT')THEN                               URPRT     122
            TYPE(I) = 'RECH'                                            URPRT     123
            LENGTH(I) = 5                                               URPRT     124
         ELSEIF(SEARCH(I).EQ.'MESSAGE') THEN                            URPRT     125
            TYPE(I) = 'CHAR'                                            URPRT     126
            LENGTH(I) = 7                                               URPRT     127
         ENDIF                                                          URPRT     128
20    CONTINUE                                                          URPRT     129
C                                                                       URPRT     130
C---------------------------------------------------------------------  URPRT     131
C                                                                       URPRT     132
C     Retrieve the necessary data from the input file.                  URPRT     133
C                                                                       URPRT     134
      JREPEA = 0                                                        URPRT     135
      CALL URREAD (CDATA, RDATA, IDATA, JREPEA)                         URPRT     136
C                                                                       URPRT     137
C---------------------------------------------------------------------  URPRT     138
C                                                                       URPRT     139
C     For debugging purposes:  dump block name, type name and           URPRT     140
C     number, and subtype name and number.                              URPRT     141
C                                                                       URPRT     142
      IF(JDCOUN .NE. IERCNT)THEN                                        URPRT     143
         DPRINT = .TRUE.                                                URPRT     144
      ENDIF                                                             URPRT     145
C                                                                       URPRT     146
      IF(LDEB .OR. DPRINT)THEN                                          URPRT     147
         IF(LDEB) THEN                                                  URPRT     148
            WRITE (IUD6,9116) BNAME(1:LEN), TNAME, IUDTYP(IUDC), SNAME, URPRT     149
     1                      IUDSUB(IUDC)                                URPRT     150
         ELSE                                                           URPRT     151
            WRITE (IU16,9116) BNAME(1:LEN), TNAME, IUDTYP(IUDC), SNAME, URPRT     152
     1                      IUDSUB(IUDC)                                URPRT     153
         ENDIF                                                          URPRT     154
      ENDIF                                                             URPRT     155
C                                                                       URPRT     156
C---------------------------------------------------------------------  URPRT     157
C                                                                       URPRT     158
      IF(DEFINE)THEN                                                    URPRT     159
C                                                                       URPRT     160
C        Save information in the structure linked list.                 URPRT     161
C                                                                       URPRT     162
         CALL ADDSTR (CDATA, RDATA, IDATA)                              URPRT     163
C                                                                       URPRT     164
C                                                                       URPRT     165
      ELSE                                                              URPRT     166
C                                                                       URPRT     167
C        Store valid data.                                              URPRT     168
C                                                                       URPRT     169
         IUNIPT(IUDC) = 0                                               URPRT     170
         IUDPPT(IUDC) = 0                                               URPRT     171
         IUDRPT(IUDC) = 0                                               URPRT     172
         IUDCPT(IUDC) = 0                                               URPRT     173
C                                                                       URPRT     174
         DO 40 I = 1, NUMSRC                                            URPRT     175
C                                                                       URPRT     176
C                                                                       URPRT     177
C           a)   Store print flag.                                      URPRT     178
C                                                                       URPRT     179
            IF(SEARCH(I).EQ.'PRINT FLAG')THEN                           URPRT     180
C                                                                       URPRT     181
C              Invalid print flag is assumed to be false.               URPRT     182
C                                                                       URPRT     183
               IF(TYPE(I) .NE. ' ')THEN                                 URPRT     184
                  IF(CDATA(I).EQ.'1' .OR. CDATA(I).EQ.'T' .OR.          URPRT     185
     1                CDATA(I).EQ.'P' .OR. CDATA(I).EQ.'Y')THEN         URPRT     186
                     UDPRNT(IUDC) = .TRUE.                              URPRT     187
                  ELSE                                                  URPRT     188
                     UDPRNT(IUDC) = .FALSE.                             URPRT     189
                  ENDIF                                                 URPRT     190
                  IF(CDATA(I)(1:1) .NE. CDATA(I))THEN                   URPRT     191
                     WRITE(MSG(1),9008) SUBNAM                          URPRT     192
                     WRITE(MSG(2),9009) TNAME                           URPRT     193
                     WRITE(MSG(3),9900) BNAME(1:LEN),CDATA(I)(1:32)     URPRT     194
                     WRITE(MSG(4),9901)                                 URPRT     195
                     CALL PRTMSG(4)                                     URPRT     196
                  ENDIF                                                 URPRT     197
               ELSE                                                     URPRT     198
                  CDATA(I) = STARS                                      URPRT     199
                  UDPRNT(IUDC) = .FALSE.                                URPRT     200
               ENDIF                                                    URPRT     201
C                                                                       URPRT     202
C           b)   Store destination                                      URPRT     203
C                                                                       URPRT     204
            ELSEIF(SEARCH(I).EQ.'DESTINATION') THEN                     URPRT     205
C                                                                       URPRT     206
               CALL ADDINT (IUDC, IADDI, LASTI)                         URPRT     207
C                                                                       URPRT     208
C              Decode destination and set unit number up                URPRT     209
C                                                                       URPRT     210
               IF(TYPE(I).EQ.'CHAR')THEN                                URPRT     211
                  IF(CDATA(I)(1:1).EQ.'S'.OR.CDATA(I)(1:1).EQ.'s')THEN  URPRT     212
                     IUDINT(IADDI) = LOUT                               URPRT     213
                  ELSE                                                  URPRT     214
                     IUDINT(IADDI) = IU16                               URPRT     215
                  ENDIF                                                 URPRT     216
               ENDIF                                                    URPRT     217
C                                                                       URPRT     218
C           c)   Store input                                            URPRT     219
C                                                                       URPRT     220
            ELSEIF(SEARCH(I).EQ.'INPUT') THEN                           URPRT     221
C                                                                       URPRT     222
               CALL ADDINT (IUDC, IADDI, LASTI)                         URPRT     223
C                                                                       URPRT     224
               CALL ADDPRM (IUDC, IADDP, LASTP)                         URPRT     225
C                                                                       URPRT     226
C              Store valid or undefined input values                    URPRT     227
C                                                                       URPRT     228
               IF(TYPE(I).EQ.' ')THEN                                   URPRT     229
                  UIDENT(IADDI) = STARS                                 URPRT     230
               ELSEIF(TYPE(I).EQ.'CHAR')THEN                            URPRT     231
                  IF(EXPAND.AND.CDATA(I)(1:1).EQ.'.')THEN               URPRT     232
C                                                                       URPRT     233
C                    Expand the block name if it begins with "."        URPRT     234
C                                                                       URPRT     235
                     UIDENT(IADDI) = SRNAME(1:ISRLEN)                   URPRT     236
                     UIDENT(IADDI)(ISRLEN+1:17) = CDATA(I)              URPRT     237
                     CDATA(I) = UIDENT(IADDI)                           URPRT     238
                  ELSE                                                  URPRT     239
                     UIDENT(IADDI) = CDATA(I)                           URPRT     240
                     IF(UIDENT(IADDI) .NE. CDATA(I))THEN                URPRT     241
               WRITE(MSG(1),9000) SUBNAM                                URPRT     242
               WRITE(MSG(2),9001) TNAME                                 URPRT     243
               WRITE(MSG(3),9002) BNAME(1:LEN)                          URPRT     244
               WRITE(MSG(4),9003) CDATA(I)(1:32)                        URPRT     245
               WRITE(MSG(5),9004) UIDENT(IADDI)                         URPRT     246
               WRITE(MSG(6),9005)                                       URPRT     247
               CALL PRTMSG(6)                                           URPRT     248
                        IERCNT = IERCNT + 1                             URPRT     249
                     ENDIF                                              URPRT     250
                  ENDIF                                                 URPRT     251
               ELSEIF(TYPE(I).EQ.'REAL')THEN                            URPRT     252
                  UDPARM(IADDP) = RDATA(I)                              URPRT     253
               ENDIF                                                    URPRT     254
C                                                                       URPRT     255
C           d)   Store message                                          URPRT     256
C                                                                       URPRT     257
            ELSEIF(SEARCH(I).EQ.'MESSAGE') THEN                         URPRT     258
C                                                                       URPRT     259
               CALL ADDCHR (IUDC, IADDC, LASTC)                         URPRT     260
C                                                                       URPRT     261
C              Decode destination and set unit number up                URPRT     262
C                                                                       URPRT     263
               IF(TYPE(I).EQ.' ')THEN                                   URPRT     264
                  UIDENT(IADDI) = STARS                                 URPRT     265
               ELSEIF(TYPE(I).EQ.'CHAR')THEN                            URPRT     266
                  IF(EXPAND.AND.CDATA(I)(1:1).EQ.'.')THEN               URPRT     267
C                                                                       URPRT     268
C                    Expand the block name if it begins with "."        URPRT     269
C                                                                       URPRT     270
                     UIDENT(IADDI) = SRNAME(1:ISRLEN)                   URPRT     271
                     UIDENT(IADDI)(ISRLEN+1:17) = CDATA(I)              URPRT     272
                     CDATA(I) = UIDENT(IADDI)                           URPRT     273
                  ELSE                                                  URPRT     274
                     UDCCHR(IADDC) = CDATA(I)                           URPRT     275
                  ENDIF                                                 URPRT     276
               ENDIF                                                    URPRT     277
C                                                                       URPRT     278
            ENDIF                                                       URPRT     279
C                                                                       URPRT     280
40       CONTINUE                                                       URPRT     281
      ENDIF                                                             URPRT     282
C                                                                       URPRT     283
C---------------------------------------------------------------------  URPRT     284
C                                                                       URPRT     285
C     For debugging purposes:  dump all valid data.  For invalid        URPRT     286
C     data a not defined message will be printed.                       URPRT     287
C                                                                       URPRT     288
      IF(LDEB .OR. DPRINT)THEN                                          URPRT     289
         DO 60 I = 1, NUMSRC                                            URPRT     290
C                                                                       URPRT     291
            N = LENGTH(I) + 1                                           URPRT     292
            SEARCH(I)(N:N) = ':'                                        URPRT     293
            IF(DEFINE)THEN                                              URPRT     294
               IF(CDATA(I).EQ.'%')THEN                                  URPRT     295
                  IF(LDEB) THEN                                         URPRT     296
                     WRITE (IUD6,9010) SEARCH(I), '% INPUT %'           URPRT     297
                  ELSE                                                  URPRT     298
                     WRITE (IU16,9010) SEARCH(I), '% INPUT %'           URPRT     299
                  ENDIF                                                 URPRT     300
               ELSEIF(TYPE(I).EQ.'CHAR')THEN                            URPRT     301
                  IF(LDEB) THEN                                         URPRT     302
                     WRITE (IUD6,9010) SEARCH(I), CDATA(I)              URPRT     303
                  ELSE                                                  URPRT     304
                     WRITE (IU16,9010) SEARCH(I), CDATA(I)              URPRT     305
                  ENDIF                                                 URPRT     306
               ELSEIF(TYPE(I).EQ.'REAL')THEN                            URPRT     307
                  IF(LDEB) THEN                                         URPRT     308
                     WRITE (IUD6,9012) SEARCH(I), RDATA(I)              URPRT     309
                  ELSE                                                  URPRT     310
                     WRITE (IU16,9012) SEARCH(I), RDATA(I)              URPRT     311
                  ENDIF                                                 URPRT     312
               ELSEIF(TYPE(I).EQ.'INTE')THEN                            URPRT     313
                  IF(LDEB) THEN                                         URPRT     314
                     WRITE (IUD6,9014) SEARCH(I), IDATA(I)              URPRT     315
                  ELSE                                                  URPRT     316
                     WRITE (IU16,9014) SEARCH(I), IDATA(I)              URPRT     317
                  ENDIF                                                 URPRT     318
               ELSEIF(TYPE(I).EQ.' ')THEN                               URPRT     319
                  WRITE (MSG(1),9016) SEARCH(I)                         URPRT     320
                  CALL PRTMSG(1)                                        URPRT     321
               ENDIF                                                    URPRT     322
            ELSE                                                        URPRT     323
               IF(TYPE(I).EQ.'CHAR')THEN                                URPRT     324
                  IF(LDEB) THEN                                         URPRT     325
                     WRITE (IUD6,9010) SEARCH(I), CDATA(I)              URPRT     326
                  ELSE                                                  URPRT     327
                     WRITE (IU16,9010) SEARCH(I), CDATA(I)              URPRT     328
                  ENDIF                                                 URPRT     329
               ELSEIF(TYPE(I).EQ.'REAL')THEN                            URPRT     330
                  IF(LDEB) THEN                                         URPRT     331
                     WRITE (IUD6,9012) SEARCH(I), RDATA(I)              URPRT     332
                  ELSE                                                  URPRT     333
                     WRITE (IU16,9012) SEARCH(I), RDATA(I)              URPRT     334
                  ENDIF                                                 URPRT     335
               ELSEIF(TYPE(I).EQ.'INTE')THEN                            URPRT     336
                  IF(LDEB) THEN                                         URPRT     337
                     WRITE (IUD6,9014) SEARCH(I), IDATA(I)              URPRT     338
                  ELSE                                                  URPRT     339
                     WRITE (IU16,9014) SEARCH(I), IDATA(I)              URPRT     340
                  ENDIF                                                 URPRT     341
               ELSEIF(TYPE(I).EQ.' ')THEN                               URPRT     342
                  WRITE (MSG(1),9016) SEARCH(I)                         URPRT     343
                  CALL PRTMSG(1)                                        URPRT     344
               ENDIF                                                    URPRT     345
            ENDIF                                                       URPRT     346
60       CONTINUE                                                       URPRT     347
      ENDIF                                                             URPRT     348
C                                                                       URPRT     349
      IF(DEFINE)THEN                                                    URPRT     350
         IUDC = IUDC - 1                                                URPRT     351
      ENDIF                                                             URPRT     352
C                                                                       URPRT     353
      RETURN                                                            URPRT     354
C                                                                       URPRT     355
C                                                                       URPRT     356
C---------------------------------------------------------------------  URPRT     357
C                                                                       URPRT     358
C                                                                       URPRT     359
9000  FORMAT(' *** ERROR', 5X, A)                                       URPRT     360
9001  FORMAT(11X,'DURING THE READING OF UDC "', A, '" BLOCKS, BLOCK')   URPRT     361
9002  FORMAT(11X,'"',A,'" DEFINITION CONTAINS A CHARACTER STRING OF')   URPRT     362
9003  FORMAT(11X,'"',A,'", WHICH IS CHANGED TO')                        URPRT     363
9004  FORMAT(11X,'"',A,'" WHEN USED BY THE PROGRAM.')                   URPRT     364
9005  FORMAT(11X,'CHECK YOUR UDC INPUT FILE FOR ERRORS.')               URPRT     365
9006  FORMAT(11X,'"',A,'" HAS AN INVALID SUBTYPE OF "',A,'".')          URPRT     366
9007  FORMAT(11X                                                        URPRT     367
     *,'ALL DATA IS IGNORED UNTIL NEXT UDC BLOCK DEFINITION.')          URPRT     368
9008  FORMAT(' *** WARNING', 5X, A)                                     URPRT     369
9009  FORMAT(14X,'DURING THE READING OF UDC "',A,'" BLOCKS, BLOCK')     URPRT     370
9900  FORMAT(14X,'"',A,'" HAS A PRINT FLAG OF "',A,'"')                 URPRT     371
9901  FORMAT(14X,'IS THIS AN ERROR IN THE UDC INPUT FILE?')             URPRT     372
9010  FORMAT (5X, A, 5X, A)                                             URPRT     373
9012  FORMAT (5X, A, 5X, F15.6)                                         URPRT     374
9014  FORMAT (5X, A, 5X, I10)                                           URPRT     375
9016  FORMAT(' *** WARNING ',A,' NOT DEFINED')                          URPRT     376
9116  FORMAT(/,1X,'UDC BLOCK: ', A,                                     URPRT     377
     1      /, 5X, 'TYPE:     ', A, 10X, 'TYPE NUMBER:     ', I2,       URPRT     378
     2:,    /, 5X, 'SUBTYPE:  ', A, 10X, 'SUBTYPE NUMBER:  ', I2,       URPRT     379
     3:,    /, 5X, 'PRINT FLAG:', A)                                    URPRT     380
C                                                                       URPRT     381
C---------------------------------------------------------------------  URPRT     382
C                                                                       URPRT     383
      END                                                               URPRT     384
